﻿Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim dt As New DataTable()
            dt.Columns.AddRange(New DataColumn(3) {New DataColumn("Id"), New DataColumn("Group"), New DataColumn("Name"), New DataColumn("Country")})
            dt.Rows.Add(1, "A", "John Hammond", "United States")
            dt.Rows.Add(2, "B", "Mudassar Khan", "India")
            dt.Rows.Add(3, "A", "Suzanne Mathews", "France")
            dt.Rows.Add(4, "B", "Robert Schidner", "Russia")
            GridView1.DataSource = dt
            GridView1.DataBind()
        End If
    End Sub

    Protected Sub GridView1_RowDataBound(sender As Object, e As GridViewRowEventArgs)
        If e.Row.RowType = DataControlRowType.DataRow Then
            'Get the value of column from the DataKeys using the RowIndex.
            Dim id As Integer = Convert.ToInt32(GridView1.DataKeys(e.Row.RowIndex).Values(0))
            Dim group As String = GridView1.DataKeys(e.Row.RowIndex).Values(1).ToString()
        End If
    End Sub

    Protected Sub GridView1_RowCommand(sender As Object, e As GridViewCommandEventArgs)
        'Determine the RowIndex of the Row whose Button was clicked.
        Dim rowIndex As Integer = Convert.ToInt32(e.CommandArgument)

        'Get the value of column from the DataKeys using the RowIndex.
        Dim id As Integer = Convert.ToInt32(GridView1.DataKeys(rowIndex).Values(0))
        Dim group As String = GridView1.DataKeys(rowIndex).Values(1).ToString()

        ClientScript.RegisterStartupScript(Me.GetType(), "alert", "alert('Id: " & id & "\nGroup: " & group & "');", True)
    End Sub
End Class
